package com.muyu.task.server.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.muyu.common.core.domain.Result;
import com.muyu.common.domian.TaskOutput;
import com.muyu.task.server.service.TaskOutputService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("output")
public class TaskOutputController {

    @Autowired
    private TaskOutputService taskOutputService;


    @PostMapping("/{id}")
    public Result save(@PathVariable("id") Long id, @RequestBody List<TaskOutput> taskOutputs) {
        QueryWrapper<TaskOutput> wrapper = new QueryWrapper<>();
        wrapper.eq("task_id", id);
        taskOutputService.remove(wrapper);
        boolean save = taskOutputService.saveBatch(taskOutputs);
        return Result.success(save);
    }


}
